## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/astaxie/beego
%global goipath         github.com/astaxie/beego
Version:                2.0.0~beta
%global commit          093f976365585855010941376432ce45287f63c4

%gometa

%global common_description %{expand:
Beego is an open-source, high-performance web framework for the Go programming
language.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Beego is an open-source, high-performance web framework for the Go programming language

# Upstream license specification: Apache-2.0 and MIT
License:        ASL 2.0 and MIT
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         0001-Use-DataDog-s-golz4-instead-of-Cloudfare-s.patch

BuildRequires:  golang(github.com/wendal/goyaml2)
BuildRequires:  golang(github.com/clbanning/x2j)
BuildRequires:  golang(github.com/bradfitz/gomemcache/memcache)
BuildRequires:  golang(github.com/casbin/casbin)
BuildRequires:  golang(github.com/DataDog/golz4)
BuildRequires:  golang(go.etcd.io/etcd/client/v3)
BuildRequires:  golang(github.com/couchbase/go-couchbase)
BuildRequires:  golang(github.com/elastic/go-elasticsearch/v6)
BuildRequires:  golang(github.com/elastic/go-elasticsearch/v6/esapi)
BuildRequires:  golang(github.com/elazarl/go-bindata-assetfs)
BuildRequires:  golang(github.com/go-kit/kit/log)
BuildRequires:  golang(github.com/go-kit/kit/tracing/opentracing)
BuildRequires:  golang(github.com/go-redis/redis/v7)
BuildRequires:  golang(github.com/go-sql-driver/mysql)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gomodule/redigo/redis)
BuildRequires:  golang(github.com/grpc-ecosystem/go-grpc-prometheus)
BuildRequires:  golang(github.com/hashicorp/golang-lru)
BuildRequires:  golang(github.com/ledisdb/ledisdb/config)
BuildRequires:  golang(github.com/ledisdb/ledisdb/ledis)
BuildRequires:  golang(github.com/lib/pq)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/pelletier/go-toml)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/shiena/ansicolor)
BuildRequires:  golang(github.com/ssdb/gossdb/ssdb)
BuildRequires:  golang(golang.org/x/crypto/acme/autocert)
BuildRequires:  golang(golang.org/x/tools/go/packages)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/mattn/go-sqlite3)
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
sed -i "s|github.com/beego/x2j|github.com/clbanning/x2j|" $(find . -iname "*.go" -type f)
sed -i "s|github.com/beego/goyaml2|github.com/wendal/goyaml2|" $(find . -iname "*.go" -type f)
sed -i 's|"go.etcd.io/etcd/clientv3"|clientv3 "go.etcd.io/etcd/client/v3"|' $(find . -iname "*.go" -type f)

%install
%gopkginstall

%if %{with check}
%check
%gocheck -t adapter/cache \
         -d adapter/httplib \
         -t client/cache \
         -d client/httplib \
         -d client/orm \
         -t core/config \
         -d core/logs \
         -d server/web/session/redis \
         -d server/web \
         -d adapter/toolbox
%endif

%gopkgfiles

%changelog
* Sun Feb 06 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.0.0~beta-3
- Disable a test failing on 32 bits arches

* Sun Jan 30 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.0.0~beta-1
- Uncommitted changes

* Sun Jan 30 2022 Robert-André Mauchin <zebob.m@gmail.com> None-1
- Initial release

